# $Revision: 1.3 $, $Date: 2004/04/11 00:02:45 $
Summary:	The RDF Parser Toolkit
Summary(pl):	Narzdzia do analizy RDF
Name:		repat
Version:	20001224
Release:	1
License:	LGPL or MPL
Group:		Libraries
# Source0-md5:	58a36eeb50adbdefa41639745dc1e8b3
Source0:	http://injektilo.org/rdf/%{name}.2000-12-24.zip
Patch0:		%{name}-redland.patch
URL:		http://injektilo.org/rdf/repat.html
BuildRequires:	expat-devel >= 1.95.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
repat is a callback-based RDF parser built on James Clark's expat.
It's implemented in Standard C and should be usable in most
environments.

%description -l pl
repat to oparty na callbackach analizator RDF zbudowany w oparciu o
expat Jamesa Clarka. Jest zaimplementowany w standardowym C i powinien
nadawa si do uytku w wikszoci rodowisk.

%package devel
Summary:	Header file for repat library
Summary(pl):	Plik nagwkowy biblioteki repat
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95.0

%description devel
Header file for repat library.

%description devel -l pl
Plik nagwkowy biblioteki repat.

%package static
Summary:	repat static library
Summary(pl):	Statyczna biblioteka repat
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
repat static library.

%description static -l pl
Statyczna biblioteka repat.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
libtool --mode=compile %{__cc} %{rpmcflags} -o rdfparse.lo -c rdfparse.c
libtool --mode=link %{__cc} %{rpmldflags} -o librepat.la rdfparse.lo -rpath %{_libdir} -lexpat
%{__cc} %{rpmcflags} -o rdfdump.o -c rdfdump.c
libtool --mode=link %{__cc} %{rpmldflags} -o rdfdump rdfdump.o librepat.la

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/repat,%{_bindir}}

libtool --mode=install install librepat.la $RPM_BUILD_ROOT%{_libdir}
libtool --mode=install install rdfdump $RPM_BUILD_ROOT%{_bindir}
install rdfparse.h $RPM_BUILD_ROOT%{_includedir}/repat

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES.txt
# COPYING not included - it refers to included expat only
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/repat

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: repat.spec,v $
Revision 1.3  2004/04/11 00:02:45  qboosh
- strict internal deps

Revision 1.2  2003/06/06 12:41:41  qboosh
- updated contact addresses

Revision 1.1  2003/05/30 12:11:27  qboosh
- added lost spec

Revision 1.2  2003/05/24 11:37:06  qboosh
- use Source0 URL with version

Revision 1.1  2003/05/23 19:49:36  qboosh
- new, with some porting fixes taken from redland package
